Index: external_acl/winbind_group/readme.txt
===================================================================
RCS file: /cvsroot/squid/squid/helpers/external_acl/winbind_group/readme.txt,v
retrieving revision 1.1
diff -u -p -r1.1 readme.txt
--- external_acl/winbind_group/readme.txt	7 Jul 2002 18:43:53 -0000	1.1
+++ external_acl/winbind_group/readme.txt	8 Sep 2002 08:21:41 -0000
@@ -5,9 +5,8 @@ Samba Winbindd from Samba 2.2.4 or great
 
 This helper must be used in with an authentication scheme, tipically 
 basic or NTLM, based on Windows NT/2000 domain users. 
-It reads two new line terminated arguments from the standard input
-(the domain username and group) and tries to match it against
-the domain global groups membership of the specified username.
+It reads from the standard input the domain username and a list of groups
+and tries to match it against the groups membership of the specified username.
 
 For Winbindd configuration, look the Squid winbind authenticators
 instructions.
@@ -17,9 +16,10 @@ instructions.
 Program Syntax
 ==============
 
-wb_group [-d]
+wb_group [-d][-h]
 
 -d enable debug mode
+-h this message
 
 
 ================
Index: external_acl/winbind_group/wb_check_group.c
===================================================================
RCS file: /cvsroot/squid/squid/helpers/external_acl/winbind_group/wb_check_group.c,v
retrieving revision 1.4
diff -u -p -r1.4 wb_check_group.c
--- external_acl/winbind_group/wb_check_group.c	7 Sep 2002 15:18:02 -0000	1.4
+++ external_acl/winbind_group/wb_check_group.c	8 Sep 2002 08:21:41 -0000
@@ -5,11 +5,11 @@
  * Copyright (C) 2002 Guido Serassio <squidnt@serassio.it>
  * Based on previous work of Rodrigo Albani de Campos
  * 
- * It reads STDIN looking for a username that matches a NT/2000 global
- * Domain group. Requires Samba 2.2.4 or later with Winbindd.
- * Returns `OK' if the user belongs to the group or `ERR' otherwise, as 
+ * It reads from the standard input the domain username and a list of groups
+ * and tries to match it against the groups membership of the specified username.
+ * Requires Samba 2.2.4 or later with Winbindd.
+ * Returns `OK' if the user belongs to a group or `ERR' otherwise, as 
  * described on http://devel.squid-cache.org/external_acl/config.html
- * To compile this program, use:
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by

